Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 25 May 2022 02:55:20 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My order hasn’t arrived, I called over ten times and the last three times I requested a manager to call me back or email me. No one has contacted me despite all my requests.

I would like to know where my order is.

The customer service said they want to cancel my order and I can order it again But I can see the price went up. I will be contacting ‘know your rights’ and making an official complaint about your companies if that happens. 

I expect to receive my product as paid for asap. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4389778